import { IParam } from "@core";
import { MDControl } from "../md-control";

/**
 * @description 列表部件
 * @export
 * @class ListControl
 * @extends {MDControl}
 */
export class ListControl extends MDControl {

    /**
     * @description 触发界面行为
     * @protected
     * @param {IParam} action 界面行为
     * @param {MouseEvent} event 鼠标源事件
     * @memberof ListControl
     */
    protected onUIAction(action: IParam, event: MouseEvent) {
        console.log(action, event);
    }

    /**
     * @description 安装部件所有功能模块的方法
     * @return {*} 
     * @memberof ListControl
     */
    public moduleInstall() {
        const superParams = super.moduleInstall();
        return {
            ...superParams,
            onUIAction: this.onUIAction.bind(this)
        }
    }

}